package org.geoff.geo;

import java.util.Date;

import com.google.code.morphia.annotations.Embedded;
import com.google.code.morphia.annotations.Entity;
import com.google.code.morphia.annotations.Id;

import org.bson.types.ObjectId;

@Entity
public class CurrentLocation {

	@Id private ObjectId id;
	private String playerId;
	private Date ts;
	private Location loc;
	
	public void setPlayerId(String id){
		playerId = id;
	}
	public void setTimestamp(Date stamp){
		ts = stamp;
	}
	public void setLocation(double x, double y){
		loc = new Location(x,y);
	}
	
	public String getPlayerId(){
		return playerId;
	}
	public Date getTimestamp(){
		return ts;
	}
	public Location getLocation(){
		return loc;
	}
		
}
